unit u_translation;

{$mode objfpc}{$H+}

interface

uses gettext, translations, u_constant, u_util,
  Classes, SysUtils;

procedure GetDefaultLanguage(var buf1,buf2: string);
function Translate(lang : string = ''):string;

resourcestring
  rsLanguage = 'Internal language';
  rsdeg = 'd';
  rsmin = 'm';
  rssec = 's';
  rsHour = 'Hour';
  rsMinute = 'Minute';
  rsSecond = 'Second';
  rsDay = 'Day';
  rsMonth = 'Month';
  rsYear = 'Year';
  rsJulianYear = 'Julian Year';
  rsTropicalYear = 'Tropical year';
  rsSiderealDay = 'Sidereal day';
  rsSynodicMonth = 'Synodic month';
  rsSaros = 'Saros';
  rsSetDateAndTi = 'Set date and time';
  rsSetObservato = 'Set observatory location';
  rsConfigureThe = 'Configure the program';
  rsEquatorialCo = 'Equatorial coordinates';
  rsAltAzCoordin = 'Alt-Az coordinates';
  rsEclipticCoor = 'Ecliptic coordinates';
  rsGalacticCoor = 'Galactic coordinates';
  rsMirrorHorizo = 'Mirror horizontally';
  rsMirrorVertic = 'Mirror vertically';
  rsRotateRight = 'Rotate right';
  rsRotateLeft = 'Rotate left';
  rsShowAllSky = 'Show all sky';
  rsNorth = 'North';
  rsSouth = 'South';
  rsEast = 'East';
  rsWest = 'West';
  rsZenith = 'Zenith';
  rsCreateANewCh = 'Create a new chart';
  rsOpenAChart = 'Open a chart';
  rsSaveTheCurre = 'Save the active chart';
  rsPrintTheChar = 'Print the chart';
  rsNightVisionC = 'Night vision color';
  rsCascade = 'Cascade';
  rsTileVertical = 'Tile vertically';
  rsUndoLastChan = 'Undo last change';
  rsRedoLastChan = 'Redo last change';
  rsZoomIn = 'Zoom in';
  rsZoomOut = 'Zoom out';
  rsSetFOV = 'Set FOV';
  rsAdvancedSear = 'Advanced search';
  rsPosition = 'Position';
  rsObjectList = 'Object list';
  rsEphemerisCal = 'Ephemeris calendar';
  rsDecrementTim = 'Decrement time';
  rsNow = 'Now';
  rsIncrementTim = 'Increment time';
  rsConnectTeles = 'Connect telescope';
  rsSlew = 'Slew';
  rsSync = 'Sync';
  rsShowStars = 'Show stars';
  rsShowNebulae = 'Show deep sky objects';
  rsShowLines = 'Show lines';
  rsShowPictures = 'Show pictures';
  rsGetDSSImage = 'Get the DSS image';
  rsChangePictur = 'Change the displayed picture';
  rsShowPlanets = 'Show planets';
  rsShowAsteroid = 'Show asteroids';
  rsShowComets = 'Show comets';
  rsShowMilkyWay = 'Show Milky Way';
  rsShowCoordina = 'Show coordinates grid';
  rsAddEquatoria = 'Add equatorial grid';
  rsShowConstell = 'Show constellation lines';
  rsShowConstell2 = 'Show constellation limits';
  rsShowGalactic = 'Show galactic equator';
  rsShowEcliptic = 'Show ecliptic';
  rsShowMark = 'Show mark';
  rsShowLabels = 'Show labels';
  rsShowObjectBe = 'Show objects below the horizon';
  rsSkyBackgroun = 'Sky background colour';
  rsLinkAllChart = 'Link all charts';
  rsNoObjectToLo = 'No object to lock on';
  rsChangeDrawin = 'Change drawing mode';
  rsFile = 'File';
  rsNewChart = 'New chart';
  rsOpen = 'Open';
  rsSaveAs = 'Save as...';
  rsSaveImage = 'Save image...';
  rsCloseChart = 'Close chart';
  rsCalendar = 'Calendar';
  rsPrint = 'Print';
  rsExit = 'Exit';
  rsEdit = 'Edit';
  rsCopy = 'Copy';
  rsUndo = 'Undo';
  rsRedo = 'Redo';
  rsSetup = 'Setup';
  rsConfiguratio = 'Configuration';
  rsSaveConfigur = 'Save configuration now';
  rsSaveConfigur2 = 'Save configuration on exit';
  rsDateTime = 'Date / time';
  rsObservatory = 'Observatory';
  rsLines = 'Lines';
  rsLabels = 'Labels';
  rsFonts = 'Fonts';
  rsPictures = 'Pictures';
  rsShowHideDSSI = 'Show/hide DSS image';
  rsCatalog = 'Catalog';
  rsView = 'View';
  rsFullScreen = 'Full screen';
  rsNightVision = 'Night vision';
  rsToolBar = 'Tool bar';
  rsAllToolsBar = 'All tool bars';
  rsMainBar = 'Main bar';
  rsObjectBar = 'Object bar';
  rsLeftBar = 'Left bar';
  rsRightBar = 'Right Bar';
  rsStatusBar = 'Status bar';
  rsScrollBar = 'Scroll bar';
  rsServerInform = 'Server information';
  rsChart = 'Chart';
  rsProjection = 'Projection';
  rsTransformati = 'Transformation';
  rsFieldOfVisio = 'Field of vision';
  rsViewHorizon = 'View horizon';
  rsShowObjects = 'Show objects';
  rsLinesGrid = 'Lines / grid';
  rsBelowTheHori = 'Below the horizon';
  rsTelescope = 'Telescope';
  //rsConnect = 'Connect';
  rsControlPanel = 'Control panel';
  rsWindow = 'Window';
  rsTileHorizont = 'Tile horizontally';
  rsMaximize = 'Maximize';
  rsHelp = 'Help';
  rsHelpContents = 'Help contents';
  rsSkychartHome = 'Skychart homepage';
  rsMailList = 'Mail list (Yahoo group)';
  rsReportAProbl = 'Report a problem';
  rsAbout = 'About';
  rsResetAllLabe = 'Reset all labels';
  rsBlueMagnitud = 'Blue magnitude';
  rsVisualMagnit = 'Visual magnitude';
  rsRedMagnitude = 'Red magnitude';
  rsMagnitude = 'Magnitude';
  rsMagnitudeTyc = 'Magnitude Tycho BT';
  rsMagnitudeTyc2 = 'Magnitude Tycho VT';
  rsColorIndex = 'Colour index';
  rsSpectralClas = 'Spectral class';
  rsAnnualProper = 'Annual proper motion';
  rsClass = 'Class';
  rsNote = 'Note';
  rsTypeOfVariab = 'Type of variability';
  rsPeriod = 'Period';
  rsMagnitudeBan = 'Magnitude band';
  rsPhotographic = 'Photographic plate';
  rsMultipleFlag = 'Multiple flag';
  rsFieldNumber = 'Field Number';
  rsMagnitudeErr = 'Magnitude error';
  rsCorrelated = 'Correlated';
  rsDimension = 'Dimension';
  rsConstellatio = 'Constellation';
  rsSurfaceBrigh = 'Surface brightness';
  rsDescription = 'Description';
  rsRadialVeloci = 'Radial velocity';
  rsSurface = 'Surface';
  rsBrightness = 'Brightness';
  rsTrumplerClas = 'Trumpler class';
  rsDistance = 'Distance';
  rsBrightestSta = 'Brightest star magnitude';
  rsNumberOfStar = 'Number of stars';
  rsAge = 'Age';
  rsTotalRadius = 'Total radius';
  rsHalfMassRadi = 'Half-mass radius';
  rsCoreRadius = 'Core radius';
  rsHbetaMagnitu = 'H-Beta magnitude';
  rsCentralStarB = 'Central star B magnitude';
  rsCentralStarV = 'Central star V magnitude';
  rsDiameter = 'Diameter';
  rsIlluminatedF = 'Illuminated fraction';
  rsPhase = 'Phase';
  rsEstimatedTai = 'Estimated tail length';
  rsSolarElongat = 'Solar elongation';
  rsSolarDistanc = 'Solar distance';
  rsOpenCluster = 'Open cluster';
  rsGlobularClus = 'Globular cluster';
  rsGalaxy = 'Galaxy';
  rsBrightNebula = 'Bright nebula';
  rsNebula = 'Deep sky object';
  rsPlanetaryNeb = 'Planetary nebula';
  rsClusterAndNe = 'Cluster and nebula';
  rsStar = 'Star';
  rsDoubleStar = 'Double star';
  rsTripleStar = 'Triple star';
  rsVariableStar = 'Variable star';
  rsAsterism = 'Asterism';
  rsKnot = 'Knot';
  rsUnknowObject = 'Unknown object';
  rsPlateDefect = 'Plate defect';
  rsPlanet = 'Planet';
  rsAsteroid = 'Asteroid';
  rsComet = 'Comet';
  rsExternalCata = 'External catalog object';
  rsFlamsteedNum = 'Flamsteed number';
  rsBayerLetter = 'Bayer letter';
  rsParallax = 'Parallax';
  rsPositionAngl = 'Position angle';
  rsProperMotion = 'Proper motion in right ascension';
  rsProperMotion2 = 'Proper motion in declination';
  rsMagnitudeAtM = 'Magnitude at maxima';
  rsMagnitudeAtM2 = 'Magnitude at minima';
  rsEpochOfMaxim = 'Epoch of maxima';
  rsRiseTime = 'Rise time';
  rsComponent1Ma = 'Component 1 magnitude';
  rsComponent2Ma = 'Component 2 magnitude';
  rsSeparation = 'Separation';
  rsDate = 'Date';
  rsDegrees = 'degrees';
  rsMinutes = 'minutes';
  rsLightYears = 'light years';
  rsPoleInclinat = 'Pole inclination';
  rsSunInclinati = 'Sun inclination';
  rsCentralMerid = 'Central meridian';
  rsGRSTransit = 'GRS transit';
  rsLibrationInL = 'Libration in latitude';
  rsLibrationInL2 = 'Libration in longitude';
  rsAzimuth = 'Azimuth';
  rsAltitude = 'Altitude';
  rsRise = 'Rise';
  rsCulmination = 'Culmination';
  rsSet = 'Set';
  rsCircumpolar = 'Circumpolar';
  rsInvisibleAtT = 'Invisible at this latitude';
  rsDistanceToTh = 'Distance to the last object';
  rsLocalSideral = 'Local sidereal time';
  rsHourAngle = 'Hour angle';
  rsPlanetarySat = 'Planetary satellite';
  rsUniversalTim = 'Universal Time';
  rsVisibilityFo = 'Visibility for your observatory';
  rsFrom = 'From';
  rsTo = 'to';
  rsOffset = 'Offset';
  rsTooManyOpenW = 'Too many open windows, please close some charts.';
  rsDoYouWantToS = 'Do you want to save the program settings now?';
  rsErrorPleaseC = 'Error! Please check the database parameters.';
  rsComputeAster = 'Compute asteroid data for this month';
  rsErrorPleaseC2 = 'Error! Please check the database parameters and load the comete data file.';
  rsNotFoundMayb = '%s Not found!%sMaybe the catalog is not installed, or there is a wrong path in catalog setting.';
  rsUnlockChart = 'Unlock chart';
  rsLockOn = 'Lock on %s';
  rsNotFoundInAn = '%s  Not found in any of the installed catalog indices.';
  rsDisconnectTe = 'Disconnect telescope';
  rsSocketError = 'Socket error %s.  %s';
  rsDifferentTha = '%s (different than the configured port, maybe busy or other error.)';
  rsListenOnPort = 'Listen on port: %s';
  rsTCPIPService = 'TCP/IP service not available.';
  rsConnectedToS = 'Connected to the SQL database %s';
  rsSQLDatabaseN = 'SQL database not available.';
  rsInitializeDa = 'Initialize database';
  rsNotConnected = '%s not connected.';
  rsConnectedFro = '%s connected with %s, using chart %s, connected time:%s';
  rsOK = 'OK';
  rsCancel = 'Cancel';
  rsAz = 'Az';
  rsAlt = 'Alt';
  rsRA = 'RA';
  rsDE = 'DE';
  rsFOV = 'FOV';
  rsRotation = 'Rotation';
  rsEquatorialCo2 = 'Equatorial coordinates, equinox: %s';
  rsAltAZCoord = 'Alt/Az coord. ';
  rsGalacticCoor2 = 'Galactic coord.';
  rsLII = 'LII';
  rsBII = 'BII';
  rsL = 'L';
  rsB = 'B';
  rsFilter = 'Filter ->';
  rsMercury = 'Mercury';
  rsVenus = 'Venus';
  rsMars = 'Mars';
  rsJupiter = 'Jupiter';
  rsSaturn = 'Saturn';
  rsUranus = 'Uranus';
  rsNeptune = 'Neptune';
  rsPluto = 'Pluto';
  rsSun = 'Sun';
  rsMoon = 'Moon';
  rsSatRing = 'Sat. ring';
  rsObjectName = 'Object name';
  rsSearchFor = 'Search for';
  rsFind = 'Find';
  rsPleaseEnterA = 'Please enter an object identifier.';
  rsNotFound = '%s not found';
  rsPleaseCheckY = 'Please check your Internet connection and the URL definition';
  rsError = 'Error';
  rsPleaseConfig = 'Please configure your DSS file path first.';
  rsFieldTooWidt = 'Field too wide! Maximum is %s';
  rsEstimatedFil = 'Estimated file size: %sMB %sDo you want to continue?';
  rsPleaseMountR = 'Please mount RealSky CD number';
  rsInDrive = 'in drive';
  rsListOfAvaila = 'List of available plates';
  rsPlateIdDateE = 'Plate id.    Date  exp.   Margin  CD  Observatory';
  rsManualTelesc = 'Manual telescope';
  rsRATurns = 'RA turns: ';
  rsDECTurns = 'DEC turns: ';
  rsClose = 'Close';
  rsCenterObject = 'Centre on this object';
  rsNeighbor = 'Neighbour';
  rsSelectAll = 'Select all';
  rsTCPIPConnect = 'TCP/IP connection';
  rsRefresh = 'Refresh';
  rsAutoRefresh = 'Auto-refresh';
  rsSearch = 'Search';
  rsSortByRA = 'Sort by RA';
  rsSave = 'Save';
  rsProgressMess = 'Progress messages';
  rsCloseConnect = 'Close connection';
  rsTimeZone = 'Time zone';
  rsDateFrom = 'Date from';
  rsAt = 'at';
  rsBy = 'by';
  rsDays = 'days';
  rsSaveToFile = 'Save to file';
  rsResetChart = 'Reset chart';
  rsTwilight = 'Twilight';
  rsSolarEclipse = 'Solar eclipses';
  rsLunarEclipse = 'Lunar eclipses';
  rsArtificialSa = 'Artificial satellites';
  rsChart2 = 'chart:';
  rsLimitingMagn = 'Limiting magnitude, list:';
  rsMagn = 'Magn.';
  rsDiam = 'Diam.';
  rsIllum = 'Illum.';
  rsMorningTwili = 'Morning twilight';
  rsEveningTwili = 'Evening twilight';
  rsAstronomical = 'Astronomical';
  rsNautical = 'Nautical';
  rsMorning = 'Morning';
  rsEvening = 'Evening';
  rsElong = 'Elong.';
  rsWarningCalcu = 'Warning! Calculation of';
  rsDatesMayTake = 'dates may take a long time. Do you want to continue?';
  rsUT = 'UT';
  rsMax = 'Max.';
  rsType = 'Type';
  rsGamma = 'Gamma';
  rsGreatest = 'Greatest';
  rsEclipse = 'Eclipse';
  rsLatitude = 'Latitude';
  rsLongitude = 'Longitude';
  rsSunAlt = 'Sun alt.';
  rsPathWidth = 'Path width';
  rsDuration = 'Duration';
  rsPenumbra = 'Penumbra';
  rsUmbra = 'Umbra';
  rsSemi = 'Semi';
  rsPartial = 'Partial';
  rsTotal = 'Totality';
  rsSatellite = 'Satellite';
  rsRange = 'Range';
  rsDir = 'Dir';
  rsCoord = 'Coord.';
  rsMap = 'Map';
  rsPrinter = 'Printer:';
  rsResolution = 'Resolution:';
  rsSelectTheSys = 'Select the system printer and options you want to use';
  rsPrinterSetup = 'Printer setup';
  rsRasterResolu = 'Raster resolution';
  rsCommandToUse = 'Command to use to process the file.';
  rsPathToSaveTh = 'Path to save the file:';
  rsPrintMethod = 'Print method';
  rsCommandFound = 'Command found OK.';
  rsCommandNotFo = 'Command not found!';
  rsColor = 'Colour';
  rsOrientation = 'Orientation';
  rsPageMarginIn = 'Page margin in millimeters';
  rsLeft = 'Left';
  rsRight = 'Right';
  rsTop = 'Top';
  rsBottom = 'Bottom';
  rsNoMargin = 'No margin';
  rsDefaultMargi = 'Default margin';
  rsCentre = 'Centre on';
  rsZoomCentre = 'Zoom + and centre on';
  rsZoomCentre2 = 'Zoom - and centre on';
  rsNewFinderCir = 'New finder circle';
  rsRemoveLastCi = 'Remove last circle';
  rsRemoveAllCir = 'Remove all circles';
  rsNewLabel = 'New label';
  rsRemoveLastLa = 'Remove last label';
  rsRemoveAllLab = 'Remove all labels';
  rsAbortSlew = 'Abort Slew';
  rsCreatePostsc = 'Create postscript chart. Please wait...';
  rsSendChartToP = 'Send the chart to the printer.';
  rsCreateRaster = 'Create raster chart at %s dpi. Please wait...';
  rsOpenTheBitma = 'Open the bitmap.';
  rsAbout2 = 'About %s';
  rsRATurns2 = '%sRA turns:';
  rsCCW = '%sCCW';
  rsDECTurns2 = '%sDEC turns:';
  rsCW = '%sCW';
  rsAzTurns = '%sAz turns:';
  rsAltTurns = '%sAlt turns:';
  rsDesc = 'desc:';
  rsEcliptic = 'Ecliptic';
  rsGalactic = 'Galactic';
  rsOther = 'Other';
  rsTelescopeNot = 'Telescope not connected';
  rsPleaseConfir = 'Please confirm that the telescope is pointed at %s';
  rsTelescope2 = 'Telescope: %s';
  rsSkyCharts = 'Sky Charts';
  rsThisProgramI = 'This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License';
  rsLabel = 'Label:';
  rsType2 = 'Type:';
  rsMultipleStar = 'Multiple star';
  rsSolarSystem = 'Solar System';
  rsOtherLabel = 'Other label';
  rsChartInforma = 'Chart information';
  rsIndicateHere = 'Indicate here how to compute the required values from the data stored in the catalog text file.';
  rsSelectTheTyp = 'Select the type of objects in your catalog';
  rsInputCatalog = 'Input catalog files';
  rsCatalogShort = 'Catalog short name';
  rsCatalogLongN = 'Catalog long name';
  rsForALargeCat = 'For a large catalog, always select Binary. For a small dataset that changes frequently, select Text. This enables you to edit the file and see the result immediately on the chart without the need to rerun this utility.';
  rsCatalogType = 'Catalog type';
  rsOutputCatalo = 'Output catalog type';
  rsGeneralCatal = 'General catalog options';
  rsDefaultNebul = 'Default nebulae parameters';
  rsDimensionAnd = 'Dimension and units';
  rsObjectType = 'Object type';
  rsRecognizeUni = 'Recognize units or object type from the file:';
  rsUsefulToRepr = '(useful to represent a flux)';
  rsDegree = 'Degree';
  rsLogarithmicS = 'Logarithmic scale';
  rsGalaxyCluste = 'Galaxy cluster';
  rsDarkNebula = 'Dark nebula';
  rsNonExistant = 'Non-existent';
  rsUnknow = 'unknown';
  rsCircle = 'Circle';
  rsSquare = 'Square';
  rsLosange = 'Lozenge';
  rsEditObjectTy = 'Edit object types';
  rsEditUnits = 'Edit units';
  rsDefaultOutli = 'Default outline parameters';
  rsLineWidth = 'Line width ';
  rsEditLineOper = 'Edit line operation';
  rsEditColor = 'Edit colour';
  rsDrawingType = 'Drawing type';
  rsClosedContou = 'Closed contour';
  rsRAOptions = 'RA options';
  rsDECOptions = 'DEC options';
  rsCoordinatesE = 'Coordinates equinox';
  rsMaximumMagni = 'Maximum magnitude';
  rsPositionEpoc = 'Position epoch';
  rsFirstChar = 'First char';
  rsLength = 'Length';
  rsSelectTheFie = 'Select the fields to use and their position in the text file';
  rsLabel2 = 'Label';
  rsUseThisField = 'Use this field as an alternative name';
  rsAdvanced = 'Advanced';
  rsOutputCatalo2 = 'Output catalog options';
  rsNumberOfFile = 'Number of files';
  rsOutputDirect = 'Output directory';
  rsAppendToAnEx = 'Append to an existing catalog ';
  rsSearchIndex = 'Search index';
  rsCreateASearc = 'Create a search index file';
  rsAddTheAltern = 'Add the alternative names to the index';
  rsPrefixTheAlt = 'Prefix the alternative names with their label';
  rsIndicateTheS = 'Indicate the string identifier for each type of object:';
  rsReturn = 'Return';
  rsIndicateHowT = 'Indicate how to recognize the object size unit:';
  rsIndicateTheS2 = 'Indicate the string for each draw operation';
  rsIndicateTheS3 = 'Indicate the string for each colour';
  rsClickToChang = 'Click to change the colour ';
  rsPrev = '<<   Prev';
  rsNext = 'Next   >>';
  rsBuildCatalog = 'Build catalog';
  rsLoadProject = 'Load project';
  rsSaveProject = 'Save project';
  rsCatalogStrin = 'Catalog string';
  rsDarkNebula2 = 'Dark nebula';
  rsObjectSizeUn = 'Object size unit';
  rsLineOperatio = 'Line operation';
  rsStartOfObjec = 'Start of object';
  rsEndOfObject = 'End of object';
  rsDrawLine = 'Draw line';
  rsPleaseIndica = 'Please indicate a catalog short name';
  rsPleaseIndica2 = 'Please indicate a catalog long name';
  rsIsCoordinate = 'Is the coordinates epoch really %s?';
  rsRequiredFiel = 'Required field missing!';
  rsAbortedByUse = 'Aborted by user';
  rsConvertCatal = 'Convert catalog file %s';
  rsSortingTheIn = 'Sorting the index file ';
  rsCreateHeader = 'Create header';
  rsCreateFiles = 'Create files';
  rsConvertCatal2 = 'Convert catalog files';
  rsCloseFiles = 'Close files';
  rsSortingFiles = 'Sorting files by magnitude';
  rsSomeRecordsW = 'Some records where rejected, see the file %sreject.txt for details.';
  rsPleaseIndica3 = 'Please indicate the directory where the catalog must be built';
  rsWARNINGYouHa = 'WARNING !%sYou have chosen to append the data to an existing catalog.%sThis existing catalog and index must be exactly of the same format, '
                   +'otherwise the catalog will be corrupted.%sIt is a good idea to backup the actual files before proceeding this operation.%sDo you want to continue?';
  rsDateTime2 = 'Date/time';
  rsTimeSimulati = 'Time simulation';
  rsHorizon = 'Horizon';
  rsChartCoordin = 'Chart, coordinates';
  rsObjectFilter = 'Object filter';
  rsGridSpacing = 'Grid spacing';
  rsCdCStars = 'CdC stars';
  rsCdCNebulae = 'CdC deep sky';
  rsObsolete = 'Obsolete';
  rsDisplay = 'Display';
  rsDisplayColou = 'Display colour';
  rsDeepSkyObjec = 'Deep sky object colour';
  rsFinderCircle = 'Finder circle (eyepiece)';
  rsFinderRectan = 'Finder rectangle (CCD)';
  rsObject = 'Object';
  rsBackground = 'Background';
  rsDSSRealSky = 'DSS RealSky';
  rsSystem = 'System';
  rsServer = 'Server';
  rsInternet = 'Internet';
  rsProxy = 'Proxy';
  rsOrbitalEleme = 'Orbital elements';
  rsOnlineDSSPic = 'Online DSS pictures';
  rsApplyChangeT = 'Apply changes to all charts';
  rsStarsAndNebu = 'Stars and deep sky catalogs prepared with ';
  rsAdd = 'Add';
  rsDelete = 'Delete';
  rsCDCStarsCata = 'CdC star catalogs and settings';
  rsPm = 'pm';
  rsMin2 = 'min';
  rsMax2 = 'max';
  rsFilesPath = 'Files path';
  rsStars = 'Stars';
  rsVariables = 'Variables';
  rsDoubles = 'Doubles';
  rsBrightStars = 'Bright stars';
  rsShowIRVariab = 'Show IR variables';
  rsCDCNebulaeCa = 'CdC deep sky catalogs and settings';
  rsNebulae = 'Deep sky objects';
  rsGalaxies = 'Galaxies';
  rsPlanetaryNeb2 = 'Planetary nebulae';
  rsGeneral = 'General';
  rsUseOnlyCatal = 'Use only catalogs from one single group.';
  rsDefault = 'Default';
  rsCDCObsoleteC = 'Obsolete CdC catalogs and settings (you can still use them)';
  rsReplacedBy = 'Replaced by';
  rsNotAvailable = 'Not available';
  rsFovNumber = 'FOV number:';
  rsApply = 'Apply';
  rsCat = 'Cat.';
  rsMin3 = 'Min.';
  rsPath = 'Path';
  rsChartSetting = 'Chart settings';
  rsYears = 'years';
  rsStarsProperM = 'Stars proper motion options (if available in the catalog)';
  rsUseTheProper = 'Use the proper motion to correct the position for the given epoch';
  rsDrawALineTha = 'Draw a line that displays the proper motion for the next';
  rsEquinox = 'Equinox:';
  rsChartCoordin2 = 'Chart coordinate systems';
  rsNutationAber = 'Nutation, aberration';
  rsFieldOfVisio3 = 'Field of vision settings';
  rsProjectionSe = 'Projection settings';
  rsObjectFilter2 = 'Object filter settings';
  rsStarsFilter = 'Star filter';
  rsFilterStars = 'Filter stars ';
  rsFieldOfVisio5 = 'Field of vision number :';
  rsLimitingMagn2 = 'Limiting magnitude:';
  rsNakedEyeRefe = 'Naked eye reference';
  rsAutomatic = 'Automatic';
  rsNebulaeFilte = 'Deep sky filter';
  rsFilterNebula = 'Filter deep sky objects';
  rsHideObjectWi = 'Hide objects wider than';
  rsLimitingSize = 'Limiting size (arcminutes):';
  rsGridSetting = 'Grid settings';
  rsDegreeGridSp = 'Declination grid';
  rsHourGridSpac = 'Right ascension grid';
  rsObjectListSe = 'Object list settings';
  rsTypeOfObject = 'Object types to add to the list';
  rsSolarSystemO = 'Solar system object';
  rsStarDisplay = 'Star display';
  rsNebulaDispla = 'Deep sky objects display';
  rsFaintStarsSi = 'Faint Stars Size ';
  rsContrast = 'Contrast';
  rsColorSaturat = 'Colour saturation';
  rsIncrementFor = 'Increment for bright stars';
  rsNakedEye = 'Naked eye';
  rsHighColor = 'High colour';
  rsBlackWhite = 'Black/white';
  rsStarColourBV = 'Star colour (B-V):';
  rsCoordGrid = 'Coord. grid';
  rsEqGrid = 'Eq. grid';
  rsOrbit = 'Orbit';
  rsBoundary = 'Boundary';
  rsEyepiece = 'Eyepiece';
  rsMiscLines = 'Misc. lines';
  rsMilkyWay = 'Milky Way';
  rsStandardColo = 'Standard  colour';
  rsTheme = 'Theme';
  rsNightVisionB = 'Night vision button';
  rsDefaultButto = 'Default button';
  rsDeepSkyColou = 'Deep sky colour';
  rsUseAPresetCo = 'Use a preset colour scheme:';
  rsChooseColour = 'Choose colours for the object types';
  rsSupernovaRem = 'Supernova remnant';
  rsPlanetaryNeb3 = 'Planetary nebula';
  rsEmissionNebu = 'Emission nebula';
  rsReflectionNe = 'Reflection nebula';
  rsGalaxyCluste2 = 'Galaxy cluster';
  rsQuasar = 'Quasar';
  rsGravitationa = 'Gravitational lens';
  rsNonExistentU = 'Non-existent/unknown';
  rsFill = 'Fill?';
  rsAdjustColour = 'Adjust colour brightness';
  rsLowSurfaceBr = 'Low surface brightness';
  rsHighSurfaceB = 'High surface brightness';
  rsFainter = 'Fainter';
  rsBrighter = 'Brighter';
  rsSkyColour = 'Sky colour';
  rsDayTime = 'Day Time';
  rsAstronomical2 = 'Astronomical twilight';
  rsDefaultColor = 'Default colour';
  rsShowGridLabe = 'Show grid label';
  rsConstellatio2 = 'Constellation figures';
  rsConstellatio3 = 'Constellation figures file name: ';
  rsShowConstell3 = 'Show constellation figures';
  rsLine1 = 'Line';
  rsDash1 = 'Dash';
  rsDot1 = 'Dot';
  rsDashDot1 = 'Dash dot';
  rsDashDotDot1 = 'Dash dot dot';
  rsConstellatio4 = 'Constellation boundaries';
  rsConstellatio5 = 'Constellation boundaries file name: ';
  rsShowConstell4 = 'Show constellation boundaries';
  rsFillMilkyWay = 'Fill Milky Way';
  rsStarLabel = 'Star label';
  rsConstellatio6 = 'Constellation label';
  rsDisplayTheLa = 'Display the labels';
  rsDisplayTheCh = 'Display the chart information in the menu bar.';
  rsLabelObject = 'Label object';
  rsMagnitudeDif = 'Magnitude difference';
  rsSize = 'Size';
  rsConstellatio7 = 'Constellation name';
  rsCoordinatesG = 'Coordinates grid';
  rsLegend = 'Legend';
  rsScreenAndSta = 'Screen and status bar';
  rsPrinterLegen = 'Printer legend';
  rsModify = 'Modify';
  rsGreekSymbol = 'Greek symbols';
  rsNo = 'No.';
  rsMarkTheChart = 'Mark the centre of the chart';
  rsWidth = 'Width';
  rsHeight = 'Height';
  rsHTTPProxy = 'HTTP proxy';
  rsUseHTTPProxy = 'Use HTTP proxy';
  rsProxyHost = 'Proxy host';
  rsProxyPort = 'Proxy port';
  rsUserName = 'User name';
  rsPassword = 'Password';
  rsFTP = 'FTP ';
  rsAnonymousPas = 'Anonymous password';
  rsFTPPassiveMo = 'FTP passive mode';
  rsCometElement = 'Sources for comet elements in MPC format (one URL per line)';
  rsAsteroidElem = 'Sources for asteroid elements in MPC format (one URL per line)';
  rsBrightNEO = 'Bright + NEO + TNO';
  rsMPCHttp = 'MPC HTTP';
  rsMPCFtp = 'MPC FTP';
  rsFirst5000 = 'First 5000';
  rsOnlineDSS = 'Online DSS';
  rsOnlinePictur = 'Online pictures servers';
  rsName = 'Name';
  rsURL = 'URL';
  rsSec2 = 'Sec.';
  rsMeters = 'Meters';
  rsLoad = 'Load';
  rsObservatoryD = 'Observatory database';
  rsKm = 'Km.';
  rsDownloadCoun = 'Download country details';
  rsUpdate1 = 'Update';
  rsVicinity = 'Vicinity';
  rsAtmosphericR = 'Atmospheric refraction';
  rsPressureMill = 'Pressure (millibar)';
  rsTemperatureC = 'Temperature (Celsius)';
  rsWantToTrackA = 'Do you want to track an object before it rises?';
  rsLocalHorizon = 'Local horizon';
  rsLocalHorizon2 = 'Local horizon file name: ';
  rsDisplayTheLo = 'Display the local horizon line';
  rsDepressionOf = 'Depression of the visible horizon';
  rsYouLiveOnABi = 'If you observe high on a mountain, the horizon line will be lower than it would be at sea level.';
  rsDrawTheAppar = 'Draw the apparent depressed horizon line';
  rsUpdateOrAddT = 'Update/add the current location to the database?';
  rsUpdatedSucce = 'Updated successfully!';
  rsDeleteTheCur = 'Delete the current location from the database?';
  rsDeletedSucce = 'Deleted successfully!';
  rsThisActionRe = 'This action overwrites all the database content for the country %s, using fresh data from NGA and GNIS.%sAll your editing for this country will be lost, only locations that you added with a new name will be kept.%sDo you want to continue?';
  rsCancel2 = 'Cancel %s';
  rsCancelWrongZ = 'Cancel, wrong zip file ?? %s';
  rsObjects = 'Objects';
  rsDisplayImage = 'Display images of catalogued objects';
  rsImageDirecto = 'Image directory';
  rsThereAreCata = 'There are %s catalogued images';
  rsScanDirector = 'Scan directory';
  rsLuminosity = 'Luminosity';
  rsReset = 'Reset';
  rsShowObjectPi = 'Show object pictures on the chart';
  rsBackgroundPi = 'Background picture';
  rsFITSFile = 'FITS file';
  rsShowThisPict = 'Show this picture';
  rsAuxiliaryFil = 'Auxiliary files';
  rsDataFilesCDr = 'Data files, CD-ROM';
  rsTemporaryFil = 'temporary file';
  rsPixels = 'pixels';
  rsMBytes = 'MBytes';
  rsRealSkyNorth = 'RealSky North';
  rsRealSkySouth = 'RealSky South';
  rs102CDDSS = '102 CD DSS';
  rsUseSubsampli = 'Use subsampling to limit the image size to';
  rsSelectPlateF = 'Select a plate from the list';
  rsUseOnlineDSS = 'Use online DSS instead of RealSky';
  rsDEC = 'DEC';
  rsNoPicture = 'No picture';
  rsSolarSystemS = 'Solar system settings';
  rsDataFiles = 'Data files:';
  rsPlanetsSetti = 'Planet settings';
  rsJupiterGRSLo = 'Jupiter GRS longitude:';
  rsShowPlanetOn = 'Show planets on the chart';
  rsDrawPlanetAs = 'Draw planet as';
  rsShowEarthSha = 'Show Earth shadow (Lunar eclipses)';
  rsImageOptions = 'Image options';
  rsUseXplanet = 'Use Xplanet';
  rsTransparentL = 'Transparent line mode (occultations)';
  rsGeneralSetti = 'General settings';
  rsDoNotTakeAcc = 'Do not take into account comets fainter than magnitude';
  rsMagnitudeFai = 'magnitudes fainter than the stars.';
  rsShowCometsOn = 'Show comets on the chart';
  rsDatabaseSett = 'Database setting...';
  rsLoadMPCFile = 'Load MPC file';
  rsMessages = 'Messages:';
  rsOrUseALocalF = 'Or use a local file:';
  rsLoadMPCForma = 'Load MPC format file';
  rsDownloadLate = 'Download the latest orbital elements';
  rsDownload = 'Download';
  rsLoadFile = 'Load file';
  rsDataMaintena = 'Data maintenance';
  rsDeleteMPCDat = 'Delete MPC data selectively';
  rsQuickDelete = 'Quick delete';
  rsQuicklyDelet = 'Quickly delete all data related to comets';
  rsAddASingleEl = 'Add a single element to the database. All fields are mandatory.';
  rsDesignation = 'Designation';
  rsHAbsoluteMag = 'H absolute magnitude';
  rsGSlopeParame = 'G slope parameter';
  rsEpochJD = 'Epoch (JD)';
  rsPerihelionDa = 'Perihelion date';
  rsArgumentOfPe = 'Argument of perihelion';
  rsLongitudeAsc = 'Longitude ascending node';
  rsInclination = 'Inclination';
  rsEccentricity = 'Eccentricity';
  rsPerihelionDi = 'Perihelion distance';
  rsEquinox2 = 'Equinox';
  rsDoNotTakeAcc2 = 'Do not take into account asteroids fainter than magnitude';
  rsShowAsteroid3 = 'Show asteroids on the chart';
  rsOptions = 'Options';
  rsAsteroidsFro = 'asteroids from the file';
  rsOnlyNumbered = 'Only numbered asteroids';
  rsHaltAfter100 = 'Halt after 1000 errors';
  rsLoadOnlyTheF = 'Load only the first ';
  rsPrepareMonth = 'Prepare monthly data';
  rsPrepareData = 'Prepare data ';
  rsStartMonth = 'Start month';
  rsNumberOfMont = 'Number of months';
  rsCompute = 'Compute';
  rsQuicklyDelet2 = 'Quickly delete all data related to asteroids';
  rsDeleteMonthl = 'Delete monthly data ';
  rsDeleteMonthl2 = 'Delete monthly data older than ';
  rsMeanAnomaly = 'Mean anomaly';
  rsSemimajorAxi = 'Semimajor axis';
  rsReference = 'Reference';
  rsPleaseConfig2 = 'Please configure the orbital elements URL!';
  rsDownload2 = 'Download %s';
  rsToUseThisNew = 'Before you can use the new orbital elements, you must compute the monthly data.';
  rsNoAsteroidDa = 'No asteroids data found!%sPlease load a MPC file first.';
  rsYouAreNowRea = 'You are now ready to display the asteroid for this time period.';
  rsSystemSettin = 'System settings';
  rsMySQLDatabas = 'MySQL database';
  rsDBName = 'DB Name:';
  rsHostName = 'Hostname:';
  rsPort = 'Port:';
  rsUserid = 'User id:';
  rsSqliteDataba = 'SQLite database';
  rsDatabaseFile = 'Database file: ';
  rsDirectory = 'Directory';
  rsProgramData = 'Program data ';
  rsPersonalData = 'Personal data';
  rsCheck = 'Check';
  rsCreateDataba = 'Create database';
  rsDropDatabase = 'Drop database';
  rsCometSetting = 'Comet settings';
  rsAsteroidSett = 'Asteroid settings';
  rsDatabaseType = 'Database type';
  rsDesktopEnvir = 'Desktop environment';
  rsURLLaunchCom = 'URL launch command';
  rsTCPIPServer = 'TCP/IP server';
  rsServerIPInte = 'Server IP interface:';
  rsServerIPPort = 'Server IP port:';
  rsUseTCPIPServ = 'Use TCP/IP server';
  rsClientConnec = 'Client connection keep alive';
  rsTelescopeSet = 'Telescope settings';
  rsManualMount = 'Manual mount';
  rsSetHowTheMou = 'Set how the mount moves for each axis when you turn the driving knob. From then on, a click on the ''Connect telescope'' button will show you how many turns you must make to go from one object to another.';
  rsRightAscensi = 'Right Ascension';
  rsDeclination = 'Declination';
  rsTurnsHour = 'turns / hour';
  rsTurnsDegree = 'turns / degree';
  rsRevertRAKnob = 'Reverse RA knob';
  rsRevertDECKno = 'Reverse DEC knob';
  rsRevertAzKnob = 'Reverse Az knob';
  rsRevertAltKno = 'Reverse Alt knob';
  rsCDCPluginSet = 'Select the CdC plugin';
  rsTelescopePlu = 'Telescope plugin ';
  rsINDIDriverSe = 'INDI driver settings';
  rsINDIServerHo = 'INDI server host ';
  rsINDIServerPo = 'INDI server port';
  rsServerComman = 'Server command ';
  rsDriverName = 'Driver name';
  rsTelescopeTyp = 'Telescope type';
  rsDevicePort = 'Device port ';
  rsControlPanel2 = 'Control panel command ';
  rsAutomaticall = 'Automatically start a local server if not already running';
  rsAlsoBeSureTh = '%sAlso be sure the required database software is installed.%sPlease consult the documentation if you are unsure.%sDo you want to continue?';
  rsWarningYouAr = 'Warning!%sYou are about to destroy the database %s and all its content, even if this content is not related to this program.%sAre you sure you want to continue?';
  rsTime = 'Time';
  rsSeconds = 'Seconds';
  rsAutoRefreshE = 'Auto-refresh every ';
  rsDTUT = 'DT - UT: ';
  rsDynamicTimeD = 'Dynamic time difference with Universal Time';
  rsUseAnotherDT = 'Use another DT-UT value';
  rsSHour = 'H';
  rsSMinute = 'M';
  rsSSecond = 'S';
  rsSYear = 'Y';
  rsSMonth = 'M.';
  rsSDay = 'D';
  rsJD = 'JD:';
  rsActualSystem = 'Actual system time';
  rsUseSystemTim = 'Use system time';
  rsSimulation = 'Simulation';
  rsEvery = 'every ';
  rsNumberOfStep = 'Number of steps';
  rsPlotThePosit = 'Plot the position of the moving object.';
  rsStepUnit = 'Step unit';
  rsConnectionLi = 'Connection lines between each position';
  rsAll = 'All';
  rsNone1 = 'None';
  rsZoom = 'Zoom +';
  rsZoom2 = 'Zoom -';
  rsAbort = 'Abort';
  rsAddLabel = 'Add label';
  rsPrepareACata = 'Prepare a catalog with CatGen';
  rsComputeField = 'Compute field';
  rsChart_ = 'Chart_';
  rsCharts = 'Charts';
  rsDetails = 'Details';
  rsInfo = 'Information';
  rsPrintChart = 'Print chart';
  rsProgress = 'Progress';
  rsExiting = 'Exiting ...';
  rsErrorPleaseC3 = 'Error! Please check the database parameters and load the picture package.';
  rsMoreThanObje = 'More than %s objects, the result is truncated.';
  rsThereAreObjec = 'There are %s objects in this field.';
  rsEditLabel = 'Edit label';
  rsEquatorialCo3 = 'Equatorial coord.';
  rsAltAZCoord2 = 'Alt/Az coord.';
  rsEclipticCoor3 = 'Ecliptic coord.';
  rsInclination2 = 'Inclination=';
  rsMag = 'Mag:';
  rsFOV2 = 'FOV:';
  rsConnectToSuc = 'Connection to %s, %s successful.%s';
  rsConnectToFai = 'Connection to %s, %s failed! %sVerify if the MySQL server is running, and control the userid/password.';
  rsDatabaseOpen = '%sDatabase %s opened.%s';
  rsCannotOpenDa = '%sCannot open database %s! %s';
  rsTableExist = '%sThis table exists: %s';
  rsTableDoNotEx = '%sTable %s does not exist! %sPlease correct the error and retry.';
  rsAllTablesStr = '%sAll table structures exist.';
  rsSQLDatabaseS = 'SQL database software is probably not installed!';
  rsErrorCreatin = '%sError creating table %s';
  rsFileNotFound = 'File not found!';
  rsProcessingLi = 'Processing line %s';
  rsInsertFailed = 'insert failed line %s: %s';
  rsProcessingEn = 'Processing ended. Total number of comets: %s';
  rsDeleteFromEl = 'Deleting from the element table...';
  rsFailed = 'Failed: %s';
  rsDeleteDailyD = 'Deleting the daily data';
  rsDeleteComple = 'Delete completed';
  rsDeleteFromEl2 = 'Deleting from the element list...';
  rsDeleteFromNa = 'Deleting from the name list...';
  rsInsertFailed2 = 'Insert failed! %s';
  rsThisFileWasN = 'This file was not recognized as a MPCORB file.';
  rsDataStartOnL = 'Data starts on line %s';
  rsInvalidEpoch = 'invalid epoch on line%s: %s';
  rsMoreThan1000 = 'More than 1000 errors! The processing is aborted.';
  rsProcessingEn2 = 'Processing ended. Total number of asteroids: %s';
  rsDeleteFromMo = 'Deleting from the monthly table ...';
  rsDeleteFromMo2 = 'Delete from monthly table for jd<%s';
  rsDBInsertFail = 'DB insert failed for %s: %s';
  rsInvalidFITSF = 'Invalid FITS file: %s';
  rsProcessingEn3 = 'Processing ended. Total number of location :%s';
  rsNotAFITSFile = 'Not a FITS file, SIMPLE = T keyword missing';
  rsClosingConne = 'Closing connection';
  rsEarthShadow = 'Earth shadow';
  rsBeginProcess = 'Begin processing for jd=%s / %s';
  rsDeletePrevio = 'Delete previous data for this date.';
  rsGetAsteroidL = 'Get the asteroids list.';
  rsEndProcessin = 'End of processing: %s asteroids';
  rsProcessing = 'Processing... %s';
  rsMoveLabel = 'Move label';
  rsDefaultLabel = 'Default label';
  rsHideLabel = 'Hide label';
  rsErrorOpening = 'Error opening %s';
  rsLanguage2 = 'Language';
  rsLanguageSele = 'Language selection';
  rsMoreStars = 'More stars';
  rsLessStars = 'Less stars';
  rsMoreNebulae = 'More deep sky';
  rsLessNebulae = 'Less deep sky';
  rsTimeUnits = 'Time units';
  rsSetFOVTo = 'Set FOV to';
  rsOtherLinesCa = 'Other line-catalogs';
  rsNebulaCommon = 'Deep sky common name';
  rsStarCommonNa = 'Star common name';
  rsCommonName = 'Common name';
  rsPostscript = 'PostScript';
  rsBitmap = 'Bitmap';
  rsColorLineMod = 'Colour, line mode';
  rsBlackWhiteLi = 'Black/white, line mode';
  rsAsOnScreenBl = 'As on screen (black background!)';
  rsPortrait = 'Portrait';
  rsLandscape = 'Landscape';
  rsSystemPrinte = 'System printer';
  rsBitmapFile = 'Bitmap file';
  rsMeanPosition = 'Mean position';
  rsTruePosition = 'True position';
  rsAzimuthalCoo = 'Azimuthal coordinates';
  rsLineMode = 'Line mode';
  rsGraphic = 'Graphic';
  rsPhotographic2 = 'Photographic';
  rsParametric = 'Parametric';
  rsRed = 'Red';
  rsWhiteOnBlack = 'White on black';
  rsBlackOnWhite = 'Black on white';
  rsNormalColor = 'Normal (colour)';
  rsBlue = 'Blue';
  rsGreen = 'Green';
  rsFixedBlack = 'Fixed black';
  rsFullName = 'Full name';
  rsAbbreviation = 'Abbreviation';
  rsGeocentric = 'Geocentric';
  rsTopoCentric = 'Topocentric';
  rsLineModeDraw = 'Line mode drawing';
  rsRealisticsIm = 'Realistic images';
  rsSymbol = 'Symbol';
  rsDisplayAsASy = 'Display as a symbol';
  rsProportional = 'Proportional to the tail length';
  rsProportional2 = 'Proportional to the magnitude';
  rsEquatorialMo = 'Equatorial mount';
  rsAltAzMount = 'Alt/Az mount';
  rsNebulaeOrOth = 'Deep sky or other objects';
  rsNebulaeOutli = 'Nebulae outlines';
  rsBinaryIndexe = 'Binary indexed catalog';
  rsTextFileCata = 'Text file catalog';
  rsHoursMinutes = 'Hours, minutes, secondes';
  rsDecimalHours = 'Decimal hours';
  rsDegreesMinut = 'Degrees, minutes, secondes';
  rsDecimalDegre = 'Decimal degrees';
  rsDecimalSouth = 'Decimal south polar distance';
  rsSpline = 'Spline';
  rs50Recommende = '50   (recommended up to 100,000 objects)';
  rs184Recommend = '184 (recommended up to 1,000,000 objects)';
  rs732Recommend = '732 (recommended up to 5,000,000 objects)';
  rs9537LargerDa = '9537 (larger datasets)';
  rsMonday = 'Mon.';
  rsTuesday = 'Tue.';
  rsWednesday = 'Wed.';
  rsThursday = 'Thu.';
  rsFriday = 'Fri.';
  rsSaturday = 'Sat.';
  rsSunday = 'Sun.';
  rsJulianDay = 'Julian Day =';
  rsToday = 'Today';
  rsJDCalendar = 'JD calendar';
  rsWarningTheCu = 'Warning! The used date or your observatory location have been changed from the previous settings. You can reply No now, '
                   +'and use the %s button to return to your original date/time and observation location, otherwise the changes will be applied. Do you want to continue?';
  rsCoordinates = 'Coordinates:';
  rsPleaseReport = 'Please report any problem to:';
  rsProgrammer ='Programmer:';
  rsTranslator ='Translator:';
  rsCDCTranslator ='Patrick Chevalley, Marc Fokker';
  rsAuthors = 'Authors';
  rsLicenseAgree = 'License agreement';
  rsPlutoIsAPlan = 'Pluto is a planet.';
  rsUncheckToAvo = 'Uncheck to avoid duplicate with minor planet 134340';
  rsDirectoryNot = 'Directory not found %s';
  rsXplanetRetur = '%s, xplanet returns %s';
  rsXplanetIsNot = 'Xplanet is not compiled with JPEG support';
  rsRequireXplan = '(requires Xplanet 1.2.0)';
  rsXplanetIsPro = 'Xplanet is probably not installed!';
  rsEveryPositio = 'Every position';
  rsOneOfTwo = 'One of two';
  rsOneOfThree = 'One of three';
  rsOnlyTheFirst = 'Only the first';
  rsOnlyTheLast = 'Only the last';
  rsLabelText = 'Label text';
  rsCurrentDate = 'Date of validity';
  rsFillWithHori = 'Fill with horizon colour';
  rsAD = 'AD';
  rsBC = 'BC';
  rsSelectTheTel = 'Select the telescope interface';
  rsINDIDriver = 'INDI driver';
  rsCDCPlugin = 'CdC plugin';
  rsNoPrinterFou = 'No printer found!';
  rsShowGrid = 'Show grid';
  rsCompassRoseS = 'Compass rose size';
  rsAlwaysShowCo = 'Always show the compass rose';
  rsProgramInfor = 'Program information';
  rsCountryTimez = 'Country timezone';
  rsMoreOptions = 'More options';
  rsWarningYouAr2 = 'Warning! you are using multiple catalogs as sources for identical objects. You risk the display of duplicates. Be sure that this is what you want.';
  rsReleaseNotes = 'Release notes';
  rsBlinkingPict = 'Blinking picture';
  rsLatinName = 'Latin name';
  rsExpertMode = 'Expert mode';
  rsTypeOfCoordi = 'Type of coordinates';
  rsApparent = 'Apparent';
  rsMeanOfTheDat = 'Mean of the date';
  rsMeanJ2000 = 'Mean J2000';
  rsMean = 'Mean';
  rsNoProperMo = '(uncorrected for proper motion, no pm data available from this catalog)';
  rsAstrometricJ = 'Astrometric J2000';
  rsTrueEquatorE = 'true equator, equinox and epoch of the date';
  rsMeanEquatorE = 'mean equator, equinox and epoch of the date';
  rsMeanEquinoxA = 'mean equinox and epoch J2000';
  rsMeanEquinoxJ = 'mean equinox J2000, epoch of the date';
  rsEpoch = 'Epoch';
  rsAlignment = 'Alignment';
  rsCenter = 'Center';
  rsRequestTimeo = 'Request timeout. You probably asked a too wide area which demanded too much processing time on the remote server.';
  rsUnableToCrea = 'Unable to create directory ';
  rsPleaseTryToC = 'Please try to create this directory yourself and restart the program.';
  rsCouldNotLoad = 'Could not load library ';
  rsPleaseTryToR = 'Please try to reinstall the program.';
  rsSomethingGoW = 'Something went wrong during the initialization of the program. The program needs to be closed.';
  rsStopTCPIPSer = 'Stop TCP/IP server';
  rsDateFormat = 'Date format';
  rsFixedSkyColo = 'Fixed sky colour';
  rsProperMotion3 = 'Proper motion';
  rsGetRecentMea = 'Get the recent GRS measurement from JUPOS project.';
  rsReduceDetail = 'Reduce details when moving the chart';
  rsVariableStar2 = 'Variable stars';
  rsAllConfigura = 'All configuration options';
  rsAskConfirmat = 'Ask confirmation before any Internet connection';
  rsNumberOfNebu = 'Number of nebulae';
  rsInformationD = 'Information detail';
  rsDisplayLabel = 'Display labels for all star catalogs';
  rsUsingExistin = 'Using the existing file %s';
  rsSideral = 'Sidereal';
  rsBrightStarsS = 'Bright star size';
  rsLegal = 'Legal';
  rsMeanLocal = 'Mean local';
  rsJD2 = 'JD';
  rsClock = 'Clock';
  rsSkychartIcon = 'Skychart icon setup';
  rsAppearance = 'Appearance';
  rsIconSize = 'Icon size';
  rsText = 'Text';
  rsTextSize = 'Text size';
  rsIconTime = 'Icon time display';
  rsTrueSolar = 'True solar';
  rsCompiledWith = 'Compiled with:';
  rsFAQ = 'FAQ';
  rsQuickStartGu = 'Quick start guide';
  rsSmallStars = 'Small stars';
  rsBigStars = 'Big stars';
  rsResetChartAn = 'Reset chart and options';
  rsIconClickAct = 'Icon click action';
  rsAction = 'Action';
  rsPrefixNameWi = 'Prefix name with catalog short name';
  rsNextChart = 'Next Chart';
  rsPrintedChart = 'Printed chart';
  rsStarsBitmapF = 'Stars bitmap file';
  rsPastel = 'Pastel';
  rsCannotWriteT = 'Cannot write to';
  rsMagnitudeEcl = 'Eclipse magnitude';
  rsWarningSomeC = 'Warning! Some comet elements are outdated by more than 3 '
    +'years. Try to find element valid for the current map date.';
  rsWarningSomeA = 'Warning! Some asteroid elements are outdated by more '
    +'than 3 years. Try to find element valid for the current map date.';
  rsDirectoryNot2 = 'Directory not found! Please install the Skychart '
    +'Pictures package.';
  rsWarning = 'Warning!';
  rsChangeToThis = 'Change to this setting will restart the program now!';
  rsDownloadFile = 'Download File';
  rsCopyFrom = 'Copy from:';
  rsToFile = 'to file:';
  rsASCOMTelesco = 'ASCOM telescope driver';
  rsUseTheMenuOr = 'Use the menu or button "%s" to configure this driver.';
  rsOtherSoftwar = 'Other software data';
  rsObjectPositi = 'Object position found in index, but no detail found in any '
    +'active catalog';
  rsInvalidPath = 'Invalid path: ';
  rsShowPosition = 'Show position in title bar';

implementation

procedure GetDefaultLanguage(var buf1,buf2: string);
var i : integer;
 {$ifdef darwin}
    response:Tstringlist;
 {$endif}
begin
 GetLanguageIDs(buf1,buf2);
 i:=pos('.',buf1);
 if i>0 then buf1:=copy(buf1,1,i-1);
 {$ifdef darwin}
 if (trim(buf1)='') and (trim(buf2)='') then begin
    writetrace('No language environment, try to read language from user database');
    response:=TStringList.Create;
    ExecProcess('defaults read -g AppleLocale',response);
    if response.Count>0 then begin
      buf1:=response[0];
      i:=pos('_',buf1);
      if i>0 then buf2:=copy(buf1,1,i-1);
    end;
    response.free;
 end;
 {$endif}
end;

function Translate(lang : string = ''):string;
var lang2,pofile: string;
begin
 lang2:='';
 if lang='' then GetDefaultLanguage(lang,lang2);
 writetrace('Try language: '+lang+', '+lang2);
 pofile:=format(slash(appdir)+slash('data')+slash('language')+'skychart.%s.po',[lang]);
 if FileExists(pofile) then result:=lang
 else begin
    pofile:=format(slash(appdir)+slash('data')+slash('language')+'skychart.%s.po',[lang2]);
    if FileExists(pofile) then result:=lang2
    else begin
        pofile:=format(slash(appdir)+slash('data')+slash('language')+'skychart.%s.po',['en']);
        result:='en';
    end;
 end;
 // translate CDC messages
 TranslateUnitResourceStrings('u_translation',slash(appdir)+slash('data')+slash('language')+'skychart.%s.po',result,'');
 // translate LCL messages
 TranslateUnitResourceStrings('LCLStrConsts',slash(appdir)+slash('data')+slash('language')+'lclstrconsts.%s.po',result,'');
 writetrace('Language: '+result+' '+rsLanguage);
end;

end.

